# Copyright © 2018 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=6
PYTHON_COMPAT=( python3_6 )

inherit python-r1

SHA1=a45f6074d2ea16dc0cd7a59f6031a5c6b14b2e88

DESCRIPTION="Download album artwork from the Cover Art Archive"
SRC_URI="https://git.draconx.ca/gitweb/scripts.git/snapshot/$SHA1.tar.xz
         -> scripts-$SHA1.tar.xz"

LICENSE="WTFPL-2"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND="$PYTHON_DEPS
	dev-python/python-musicbrainz-ngs[$PYTHON_USEDEP]"
DEPEND=$PYTHON_DEPS

S=$WORKDIR/$SHA1

src_install () {
	python_foreach_impl python_newscript caa-fetcher.py caa-fetcher
}
